petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGSetType

Determines the form of multigrid to use: multiplicative, additive, full, or the Kaskade algorithm.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetType(PC pc,PCMGType form)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| form | - multigrid form, one of PC_MG_MULTIPLICATIVE, PC_MG_ADDITIVE, Many brPC_MG_FULL, PC_MG_KASKADE Many br

### Options Database Key

-pc_mg_type <form> -Sets <form>, one of multiplicative, Many bradditive, full, kaskade Many br

Many br

### Keywords

MG, set, method, multiplicative, additive, full, Kaskade, multigrid

### See Also

PCMGSetLevels()

Level:advanced
Location:src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html